/* woocommerce custom css */

.woocommerce form .form-row .input-text, .woocommerce form .form-row select
.shop_notice .woocommerce-notices-wrapper .woocommerce-error{
    margin: 0px!important;
}
.widget_shopping_cart_content img{
    height: auto;
    width: 90px;
}
.btn_black a{
color: #ffffff!important;
}
.input-text{
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--bs-body-color);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: var(--bs-body-bg);
    background-clip: padding-box;
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.woocommerce .section-space, .woocommerce .section-t-space, section {
    padding-top: calc(0px + 3.125vw)!important;
}
.wc-block-cart__submit-container a, .wc-block-checkout__actions_row button{
    background: #262626;
}
.wc-block-cart__submit-container span , .wc-block-checkout__actions_row span{
    background: #262626;
    color: #fff;
}
.woocommerce form.checkout_coupon, .woocommerce form.woocommerce_login, .woocommerce form.woocommerce_register {
    border: 1px solid #cfc8d8;
    padding: 20px;
    margin: 2em 0;
    text-align: left;
    border-radius: 5px;
}

.woocommerce-Addresses header {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: space-around;
    align-content: center;
    flex-wrap: nowrap;
}
.woocommerce-Addresses header h3{
    font-size: 20px;
    padding-left: 10px;
}
.woocommerce-Addresses header.title {
    margin-bottom: 0;
    text-align: center;
}
.woocommerce-Addresses header{
    background: #fbfbfb;
    border-width: 1px 1px 0 1px;
    border-style: solid;
    border-color: #d1d5db;
}
.woocommerce-Addresses address{
    border: 1px solid #d1d5db;
    padding: 10px;
}

.woocommerce-Addresses header .edit {
    color: #fff;
    background-color: #212529;
    border-color: #212529;
    padding: 1px 4px;
    border-radius: 4px;
    font-size: 14px;
    margin:10px;
}
.woocommerce-notices-wrapper +p{
    background: #fbfbfb;
    padding: 10px;
    margin-bottom: 10px;
    color: #000;
}
.woocommerce-notices-wrapper +p+p{
    background: #fbfbfb;
    padding: 10px;
}

.woocommerce-MyAccount-content .woocommerce-EditAccountForm, .woocommerce-MyAccount-content .woocommerce-address-fields{
    border: 1px solid #d1d5db;
    border-radius: 4px;
    padding: 15px;
}
.woocommerce-message {
    border-top-color: #000000!important;
}
.woocommerce-message::before {
    content: "\e015";
    color: #212529;
}
.woocommerce-MyAccount-content form >h3, .woocommerce-MyAccount-content h3{
    background: #fbfbfb;
    padding: 10px 15px;
    margin-bottom: 10px;
    color: #000;
    font-size: 20px;
}
.woocommerce section {
    padding-top: 0px!important;
}

.woocommerce-column__title, .woocommerce-order-details__title{
    background: #fbfbfb;
    padding: 10px;
    color: #000;
    font-size: 20px;
}
.wc-proceed-to-checkout .checkout-button {
    background-color: #000!important;
}
.shop_notice .woocommerce-message {
    margin: 0!important;
    border: 2px solid black;
    padding: 15px 5px 8px 40px!important;
}
.shop_notice .woocommerce-message .wc-forward{
    background: #000;
    color: #ffffff;
    padding: 5px 10px;
    margin: -10px 0px 0px 0px;
}
.shop_notice .woocommerce-message .restore-item {
    background: #000;
    color: #ffffff;
    padding: 2px 10px;
    margin: -5px 10px 0px;
}
.shop_notice .woocommerce-notices-wrapper{
    padding: 0px 2px;
}
.Buy_Now {
    display: flex;
    width: 60%;
}
.minicart_quantity , .page_cart_quantity{
display: flex;
}
.button--minus, .button--plus{
    align-items: center;
    background-color: rgba(var(--box-background), 1);
    border: 1px solid rgba(var(--light-border), 1);
    border-radius: 4px;
    color: rgba(var(--theme-font-color), 1);
    cursor: pointer;
    display: flex;
    font-size: calc(12.8px + .375vw);
    height: 25px;
    justify-content: center;
    outline: none;
    width: 30px;
}
.mini-cart-quantity-input, .page_cart-quantity-input{
    background: rgba(var(--box-background), 1);
    border: 1px solid rgba(var(--light-border), 1);
    border-radius: 4px;
    height: 25px;
    margin: 0 6px;
    overflow: hidden;
    position: relative;
    text-align: center;
    width: 40px;
}
.form_quantity_single {
    display: flex;
    width: 90%;
}
.woocommerce-MyAccount-content .my-dashboard-tab .woocommerce-info {
    padding-top: 40px;
}
.profile-about .woocommerce-error li{
     display:block; 
}
@media only screen and (max-width: 768px) {
    .shop_notice .woocommerce-message {
        margin: 0!important;
        border: 2px solid black;
        padding: 15px 105px 8px 40px!important;
    }
    .shop_notice .woocommerce-message .wc-forward {
        background: #000;
        color: #ffffff;
        padding: 5px 10px;
        margin: -10px 0px 0px 0px;
        position: absolute;
        top: 30px;
        right: 5px;
    }
}